> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/projects/flow-reference-material-assignment-entries.md).

# Flow Reference Material Assignment Entries

## Get a flow's reference material assignment.

> Returns a flow's source-document assignment and the reference material documents currently linked to it.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"flowReferenceMaterialObjectIdentifier":{"type":"string","format":"uuid"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentEntryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentEntryResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"documentObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-reference-material-assignment-entries":{"get":{"tags":["Flow Reference Material Assignment Entries"],"summary":"Get a flow's reference material assignment.","description":"Returns a flow's source-document assignment and the reference material documents currently linked to it.","parameters":[{"name":"flowSourceDocumentAssignmentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Sync flow reference material documents.

> Adds and removes reference material documents on a flow's source-document assignment in a single call, returning the updated assignment.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.FlowSourceDocumentAssignmentEntries.SyncFlowSourceDocumentAssignmentEntriesRequest":{"type":"object","properties":{"flowSourceDocumentAssignmentObjectIdentifier":{"type":"string","format":"uuid"},"documentObjectIdentifiersToAdd":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"documentObjectIdentifiersToRemove":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"flowReferenceMaterialObjectIdentifier":{"type":"string","format":"uuid"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentEntryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentEntryResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"documentObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-reference-material-assignment-entries":{"put":{"tags":["Flow Reference Material Assignment Entries"],"summary":"Sync flow reference material documents.","description":"Adds and removes reference material documents on a flow's source-document assignment in a single call, returning the updated assignment.","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowSourceDocumentAssignmentEntries.SyncFlowSourceDocumentAssignmentEntriesRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowSourceDocumentAssignmentEntries.SyncFlowSourceDocumentAssignmentEntriesRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowSourceDocumentAssignmentEntries.SyncFlowSourceDocumentAssignmentEntriesRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowSourceDocumentAssignments.Contracts.Responses.FlowSourceDocumentAssignmentResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.jylo.ai/api-reference/projects/flow-reference-material-assignment-entries.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
